pdf form filler plugin giving fatal error

Hi,
I have support access on for aficreditsolutions.com
I just installed this plugin:
https://wordpress.org/plugins/pdf-forms/

The plugin is giving this error when you try to activate:
Plugin could not be activated because it triggered a fatal error.
Parse error: syntax error, unexpected '::' (T_PAAMAYIM_NEKUDOTAYIM) in /home/ageladm/public_html/wp-content/plugins/pdf-forms/App/Core/CustomRequest.php on line 21